from django.urls import path
from .views import (
    GmailAuthInitiateView,
    GmailAuthCompleteView,
    GmailCredentialListView,
    GmailCredentialDetailView,
    GmailConversationView,
    GmailAttachmentListView,
    GmailPubSubView,
    GmailNotificationStartView,
    GmailSendEmailView
)

app_name = 'gmail'

urlpatterns = [
    path('auth/initiate/', GmailAuthInitiateView.as_view(), name='auth_initiate'),
    path('auth/complete/', GmailAuthCompleteView.as_view(), name='auth_complete'),
    path('credentials/', GmailCredentialListView.as_view(), name='credential_list'),
    path('credentials/<int:pk>/', GmailCredentialDetailView.as_view(), name='credential_detail'),
    path('conversations/', GmailConversationView.as_view(), name='conversation_list'),
    path('attachments/', GmailAttachmentListView.as_view(), name='attachment_list'),
    path('attachments/<str:conversation_id>/', GmailAttachmentListView.as_view(), name='attachment_list_by_conversation'),
    path('notifications/setup/', GmailPubSubView.as_view(), name='pubsub_setup'),
    path('notifications/start/', GmailNotificationStartView.as_view(), name='notification_start'),
    path('send/', GmailSendEmailView.as_view(), name='send_email'),
]